Magnetoculus Visualisation de champs en VR avec Oculus

Public Member Functions | Public Attributes | Protected Attributes | List of all members
RepresentationInformation Class Reference
Inheritance diagram for RepresentationInformation:

## Public Member Functions
| RepresentationInformation (GameObject representation, string filename)
void | Delete ()
void | Enabled (bool enable)
string | GetText ()
bool | GetRepresentationEnabled ()
GameObject | GetRepresentation ()

## Public Attributes
GameObject | m_Representation

## Protected Attributes
string | m_Text
string | m_Filename

## Detailed Description

Abstract super class for Representation Information used by the RepresentationManager. Every RepresentationInformation displays at least the file name, but could add several other information.

## Constructor & Destructor Documentation

## ◆ RepresentationInformation()

RepresentationInformation.RepresentationInformation | ( | GameObject | representation,
|  | string | filename
| ) |  |

## Member Function Documentation

## ◆ Delete()

void RepresentationInformation.Delete | ( |  | ) |

Destroy the representation's parent gameoject, hence removing all the representation's objects from the scene.

## ◆ Enabled()

void RepresentationInformation.Enabled | ( | bool | enable | ) |

Parameters

  enable | Should the representation be enabled ?

Enable/Disable the representation, but do not destroy it.

## ◆ GetRepresentation()

GameObject RepresentationInformation.GetRepresentation | ( |  | ) |

## ◆ GetRepresentationEnabled()

bool RepresentationInformation.GetRepresentationEnabled | ( |  | ) |

## ◆ GetText()

string RepresentationInformation.GetText | ( |  | ) |

## Member Data Documentation

## ◆ m_Filename

string RepresentationInformation.m_Filename
| protected

The file used to create the representation.

## ◆ m_Representation

GameObject RepresentationInformation.m_Representation

The representation's parent gameobject.

## ◆ m_Text

string RepresentationInformation.m_Text
| protected

The serialized version of the information.

The documentation for this class was generated from the following file:

- Assets/Scripts/GUI/RepresentationInformation.cs